using Sepehr.ApiGateway.Partners.Contracts.Flight.BulkAvailability.V17.Charter.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Flight.BulkAvailability.V17.Charter.ResponseModel;
using SepehrFlightApiSampleClient.BuiltinTypeExtensions;

namespace SepehrFlightApiSampleClient.BulkAvailability.WebApi
{
    public class GetCharterFlightsApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Flight/BulkAvailability/V17/GetCharterFlights",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
